
<div class="card-panel floating-panel">
    <div class="row">
        <div *ngIf="message">
            <div [class.green]="success"
                 [class.red]="!success"
                 class="card-panel">
                <p style="color: white;">{{ message }}</p>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="card-panel">
            <div class="row">
                <form novalidate [formGroup]="form">
                    <div class="row">
                        <div class="input-field col l4">Correo electrónico</div>
                        <div class="input-field col l4">Usuario</div>
                        <div class="input-field col l4">Contraseña</div>
                    </div>
                    <div class="row">
                        <div class="input-field col l4">
                            <input formControlName="email" type="text">
                        </div>
                        <div class="input-field col l4">
                            <input formControlName="username" type="text">
                        </div>
                        <div class="input-field col l4">
                            <input formControlName="password" type="password">
                        </div>
                    </div>
                </form>
            </div>
            <div class="row">
                <div class="right-align">
                    <button (click)="newUser(form)"
                            class="waves-effect waves-light btn">
                        Abrir cuenta
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
